CREATE TABLE `ITscope_Product`
(
    `puid`                    BIGINT(20)  NOT NULL,
    `price`                   DOUBLE       DEFAULT NULL,
    `priceCalc`               DOUBLE       DEFAULT NULL,
    `currencyCode`            VARCHAR(3)   DEFAULT NULL,
    `priceCalcVat`            DOUBLE       DEFAULT NULL,
    `priceLastUpdate`         DATETIME     DEFAULT NULL,
    `priceSupplierId`         BIGINT(20)   DEFAULT NULL,
    `priceSupplierName`       VARCHAR(255) DEFAULT NULL,
    `priceSupplierItemId`     BIGINT(20)   DEFAULT NULL,
    `priceSupplierSKU`        VARCHAR(150) DEFAULT NULL,
    `stockSupplierText`       VARCHAR(40)  DEFAULT NULL,
    `stockStatus`             INT(11)      DEFAULT NULL,
    `stockStatusText`         VARCHAR(255) DEFAULT NULL,
    `stock`                   INT(11)      DEFAULT NULL,
    `externalStock`           INT(11)      DEFAULT NULL,
    `incomingStock`           INT(11)      DEFAULT NULL,
    `stockAvailabilityDate`   DATETIME     DEFAULT NULL,
    `stockLastUpdate`         DATETIME     DEFAULT NULL,
    `aggregatedStatus`        INT(11)     NOT NULL,
    `aggregatedStatusText`    VARCHAR(255) NOT NULL,
    `aggregatedStock`         INT(11)     NOT NULL,
    `aggregatedSupplierItems` INT(11)     NOT NULL,
    `priceBillingPeriod`        INT(11)       DEFAULT NULL,
    `priceBillingPeriodUnit`    VARCHAR(40)   DEFAULT NULL,
    `priceSubscriptionPeriod`   INT(11)       DEFAULT NULL,
    `priceSubscriptionPeriodUnit` VARCHAR(40) DEFAULT NULL,
    PRIMARY KEY (`puid`)
)
    ENGINE = InnoDB
    DEFAULT CHARSET = latin1;

CREATE TABLE `ITscope_SupplierItem`
(
    `id`                    BIGINT(20) NOT NULL,
    `productId`             BIGINT(20) NOT NULL,
    `supplierSKU`           VARCHAR(150)  DEFAULT NULL,
    `supplierId`            BIGINT(11) NOT NULL,
    `supplierName`          VARCHAR(255)  DEFAULT NULL,
    `price`                 DOUBLE     NOT NULL,
    `priceCalc`             DOUBLE     NOT NULL,
    `currencyCode`          VARCHAR(3) NOT NULL,
    `priceCalcVat`          VARCHAR(3) NOT NULL,
    `priceLastUpdate`       DATETIME   NOT NULL,
    `stockSupplierText`     VARCHAR(1024) DEFAULT NULL,
    `stockStatus`           INT(11)       DEFAULT NULL,
    `stockStatusText`       VARCHAR(255)  DEFAULT NULL,
    `stock`                 INT(11)       DEFAULT NULL,
    `externalStock`         INT(11)       DEFAULT NULL,
    `incomingStock`         INT(11)       DEFAULT NULL,
    `stockAvailabilityDate` DATETIME      DEFAULT NULL,
    `lastStockUpdate`       DATETIME      DEFAULT NULL,
    `priceBillingPeriod`        INT(11)       DEFAULT NULL,
    `priceBillingPeriodUnit`    VARCHAR(40)   DEFAULT NULL,
    `priceSubscriptionPeriod`   INT(11)       DEFAULT NULL,
    `priceSubscriptionPeriodUnit` VARCHAR(40) DEFAULT NULL,
    PRIMARY KEY (`productId`, `id`)
)
    ENGINE = InnoDB
    DEFAULT CHARSET = latin1;
ALTER TABLE ITscope_SupplierItem
    ADD INDEX (id);

CREATE TABLE `ITscope_Project`
(
    `projectSupplierItemId` BIGINT(20)  NOT NULL,
    `supplierProjectId`     VARCHAR(40) NOT NULL,
    `manufacturerProjectId` VARCHAR(40) NOT NULL,
    `price`                 DOUBLE      NOT NULL,
    `remainingQuantity`     INT(8)   DEFAULT NULL,
    `projectLastUpdate`     DATETIME DEFAULT NULL,
	`projectBundleId`       VARCHAR(50)    DEFAULT NULL,
	`projectPosition`       INT(8)      DEFAULT NULL,
    PRIMARY KEY (`projectSupplierItemId`, `manufacturerProjectId`, `projectBundleId`, `projectPosition`),
    KEY `pr_supplItem` (`projectSupplierItemId`),
    CONSTRAINT `pr_supplItem` FOREIGN KEY (`projectSupplierItemId`) REFERENCES `ITscope_SupplierItem` (`id`)
)
    ENGINE = InnoDB
    DEFAULT CHARSET = latin1;

SET FOREIGN_KEY_CHECKS = 0;
TRUNCATE ITscope_Product;
TRUNCATE ITscope_SupplierItem;
TRUNCATE ITscope_Project;
SET FOREIGN_KEY_CHECKS = 1;
SET FOREIGN_KEY_CHECKS = 1;